<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 2/7/2018
 * Time: 4:10 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['nombre']) && isset($_REQUEST['ubicacion']) && isset($_REQUEST['telefono']) && isset($_REQUEST['idCaseta'])) {
            $casetavigilancia = R::load('casetavigilancia', $_REQUEST['idCaseta']);
            $casetavigilancia->nombre = $_REQUEST['nombre'];
            $casetavigilancia->ubicacion = $_REQUEST['ubicacion'];
            $casetavigilancia->telefono = $_REQUEST['telefono'];
            $id = R::store($casetavigilancia);
            include '../comun/mensajeModificado.php';

        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}